OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectUnion Class Reference

A SelectUnion cumulates the Entities issued from several other
Selections (union of results : "OR" operator)
.

`#include <IFSelect_SelectUnion.hxx>`

Inheritance diagram for IFSelect_SelectUnion:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectUnion ()
| Creates an empty SelectUnion .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected Entities, which is the addition result from all input selections. Uniqueness is guaranteed. .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Union (OR)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectUnion::IFSelect_SelectUnion | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectUnion::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectCombine.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectUnion::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectUnion::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectUnion.hxx